'use strict';

/** @type {import('sequelize-cli').Migration} */
module.exports = {
  async up(queryInterface, Sequelize) {
    await queryInterface.addColumn('listing_reviews', 'booking_id', {
      type: Sequelize.UUID,
      allowNull: false,
    });
    await queryInterface.addColumn('host_reviews', 'booking_id', {
      type: Sequelize.UUID,
      allowNull: false,
    });
  },

  async down(queryInterface, Sequelize) {
    await queryInterface.removeColumn('listing_reviews', 'booking_id');
    await queryInterface.removeColumn('host_reviews', 'booking_id');
  },
};
